BLKDEV_ISSUE_DISCARD(9)

NAME
blkdev_issue_discard - queue a discard

SYNOPSIS

int blkdev_issue_discard(struct block_device * bdev, sector_t sector, sector_t nr_sects, gfp_t gfp_mask, unsigned long flags);

ARGUMENTS

bdev
    blockdev to issue discard for

sector
    start sector

nr_sects
    number of sectors to discard

gfp_mask
    memory allocation flags (for bio_alloc)

flags
    BLKDEV_IFL_* flags to control behaviour

DESCRIPTION

Issue a discard request for the sectors in question.

COPYRIGHT